%global rev_id f43fbdd87495
%global rev_nr 76
%global date 20181019

Name:           purple-rocketchat
Version:        0.9
Release:        0.1.%{date}hg%{rev_id}%{?dist}
Summary:        Pidgin protocol plugin to connect to Rocket.Chat
License:        GPLv3+
URL:            https://bitbucket.org/EionRobb/%{name}/
Source:         https://bitbucket.org/EionRobb/%{name}/get/%{rev_id}.zip

BuildRequires:  make gcc pkg-config
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  libmarkdown-devel

%description
Adds support for Rocket.Chat (https://rocket.chat/) to libpurple
clients, such as Pidgin.


%package -n pidgin-rocketchat

Summary:        Pidgin protocol plugin to connect to Rocket.Chat
Requires:       pidgin
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description -n pidgin-rocketchat
Adds support for Rocket.Chat (https://rocket.chat/) to libpurple
clients, such as Pidgin.

This package provides the icon set for Pidgin.


%prep
%autosetup -n EionRobb-%{name}-%{rev_id}

sed -i Makefile \
  -e 's,^REVISION_ID =.*,REVISION_ID = %{rev_id},' \
  -e 's,^REVISION_NUMBER =.*,REVISION_NUMBER = %{rev_nr},' \
  -e 's,^CFLAGS.*?=,CFLAGS +=,' \
  -e 's,^LDFLAGS.*?=,LDLAGS +=,'


%build
CFLAGS="%{optflags}"; export CFLAGS
LDFLAGS="%{__global_ldflags}"; export LDFLAGS
%make_build


%install
%make_install


%files
%license LICENSE
%doc README.md
%{_libdir}/purple-*/librocketchat.so


%files -n pidgin-rocketchat
%{_datadir}/pixmaps/pidgin/protocols/*/rocketchat.png


%changelog
* Fri Oct 19 2018 Thomas Moschny <thomas.moschny@gmx.de> - 0.9-0.1.20181019hgf43fbdd87495
- New package
